## org.apache.catalina.valves
Class PersistentValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.valves.PersistentValve

All Implemented Interfaces:
  Contained, javax.management.MBeanRegistration, Valve

public class PersistentValve
extends ValveBase

Valve that implements the default basic behavior for the `StandardHost` container implementation.

USAGE CONSTRAINT: To work correctly it requires a PersistentManager.

Version:
  $Revision: 1.5 $ $Date: 2004/02/27 14:58:52 $
Author:
  Jean-Frederic Clere

Field Summary

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, controller, debug, domain, mserver, oname`

Constructor Summary
`PersistentValve()`

Method Summary
`java.lang.String` `getInfo()` Return descriptive information about this Valve implementation.
`void` `invoke(Request request, Response response, ValveContext valveContext)` Select the appropriate child Context to process this request, based on the specified request URI.
`protected boolean` `isSessionStale(Session session, long timeNow)` Indicate whether the session has been idle for longer than its expiration date as of the supplied time.
`protected void` `log(java.lang.String message)` Log a message on the Logger associated with our Container (if any).

Methods inherited from class org.apache.catalina.valves.ValveBase
`createObjectName, getContainer, getContainerName, getController, getDebug, getDomain, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setDebug, setObjectName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentValve

    public PersistentValve()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.

  Specified by:
    `getInfo` in interface `Valve`
  Overrides:
    `getInfo` in class `ValveBase`

### invoke

    public void invoke(Request request,
                       Response response,
                       ValveContext valveContext)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Select the appropriate child Context to process this request, based on the specified request URI. If no matching Context can be found, return an appropriate HTTP error.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `ValveBase`
  Parameters:
    `request` - Request to be processed
    `response` - Response to be produced
    `valveContext` - Valve context used to forward to the next Valve
  Throws:
    `java.io.IOException` - if an input/output error occurred
    `javax.servlet.ServletException` - if a servlet error occurred

### log

    protected void log(java.lang.String message)

  Log a message on the Logger associated with our Container (if any).

  Parameters:
    `message` - Message to be logged

### isSessionStale

    protected boolean isSessionStale(Session session,
                                     long timeNow)

  Indicate whether the session has been idle for longer than its expiration date as of the supplied time. FIXME: Probably belongs in the Session class.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.